#{extends 'border.html'/}
<div class="container">
#{form @chat.ChatCtr.createSubmitPengumuman(), method:'POST', class:'form-horizontal'}

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{chat.ChatCtr.allMessage()}">&{'semua.label'} &{'pesan.label'}</a></li>
                <li class="active">&{'tambah.label'} &{'siaran.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                #{backButton action:@cms.KontenStatisCtr.index()/}
                <button class="btn btn-md btn-primary simpan-broadcast" null=""> <i class="fa fa-send"></i> &{'kirim.label'}</button>
            </div>
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
            #{alert /}
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'judul.label'}</label>
                        <div class="col-md-8">
                            <input type="text" name="judul" class="form-control" required>
                        </div>
                    </div>
                    <div class="form-group required">
                        <label class="col-md-3 control-label">&{'bagikan_kepada.label'}</label>
                        <div class="col-md-3">
                            <select name="user_penerima" class="form-control user_penerima" required>
                                <option value="kosong">&{'pilih.label'}</option>
                                    <option value="user">User</option>
                                    <option value="role">Role</option>
                                    <option value="penyedia_komoditas">Penyedia / Komoditas</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group show-user" style="display: none;">
                        <label class="col-md-3 control-label"></label>
                        <div class="col-md-9">
                            #{include 'chat/ChatCtr/change-user.html'/}
                        </div>
                    </div>
                    <div class="form-group show-role" style="display: none;">
                        <label class="col-md-3 control-label"></label>
                        <div class="col-md-3">
                            #{include 'chat/ChatCtr/change-role.html'/}
                        </div>
                    </div>
                    <div class="form-group show-komoditas" style="display: none;">
                        <label class="col-md-3 control-label"></label>
                        <div class="col-md-6">
                            #{include 'chat/ChatCtr/change-penyedia-komoditas.html'/}
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">&{'deskripsi.label'}</label>
                        <div class="col-md-8">
                            <textarea id="isi_konten" name="isi_konten" rows="10" class="form-control"></textarea>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
#{/form}
</div>

#{validationPackage/}

#{set 'moreLibs'}
<script src="@{'/public/javascripts/tinymce/tinymce.js'}" type="text/javascript"> </script>
#{/set }

#{set 'moreScripts'}
<script src="@{'/public/javascripts/ladda/spin.min.js'}" type="text/javascript"> </script>
<script src="@{'/public/javascripts/ladda/ladda.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">
    var params = {};
    params['searchUrl'] = '@{chat.ChatCtr.searchUser()}';
    params['userPenyedia'] = '@{chat.ChatCtr.UserPenyedia}';
    var user_ids = ${userIds != null ? userIds : []};
    $(document).ready(function(){
//        CKEDITOR.replace('isi_konten');
        tinymce.init({
            selector : '#isi_konten',
            menubar : true,
            images_upload_base_path : "@{'/public/files/image'}",
            plugins : 'advlist autolink link image lists charmap print preview code',
            a_plugin_option: true,
            a_configuration_option: 400,
            images_upload_handler: function (blobInfo, success, failure) {
                var xhr, formData;
                xhr = new XMLHttpRequest();
                xhr.withCredentials = false;
                xhr.open('POST', '@{MediaManager.upload()}');

                xhr.onload = function() {
                    var json;

                    if (xhr.status != 200) {
                        failure('HTTP Error: ' + xhr.status);
                        return;
                    }

                    json = JSON.parse(xhr.responseText);

                    if (!json || typeof json.location != 'string') {
                        failure('Invalid JSON: ' + xhr.responseText);
                        return;
                    }

                    success(json.location);
                };

                formData = new FormData();
                formData.append('file', blobInfo.blob(), blobInfo.filename());

                xhr.send(formData);
            },
            image_caption: true,
            image_list: "@{MediaManager.listImageGallery()}"
        });

        $('.form-horizontal').validate({
            highlight: function(element) {
                $(element).parents('.form-group').addClass('has-error');
            },
            unhighlight: function(element) {
                $(element).parents('.form-group').removeClass('has-error');
            }
        });

        $('.user_penerima').on('change',function(e){
            var user_penerima = e.target.value;
            if (user_penerima == 'user'){
                $('.show-komoditas').hide();
                $('.show-role').hide();
                $('.show-user').show();
            }else if (user_penerima == 'role'){
                $('.show-komoditas').hide();
                $('.show-user').hide();
                $('.show-role').show();
            }else if (user_penerima == 'penyedia_komoditas'){
                $('.show-user').hide();
                $('.show-role').hide();
                $('.show-komoditas').show();
            }else if (user_penerima == 'kosong'){
                $('.show-user').hide();
                $('.show-role').hide();
                $('.show-komoditas').hide();
            }else if (user_penerima == 'penyedia_semua'){
                $('.show-user').hide();
                $('.show-role').hide();
                $('.show-komoditas').hide();
                var input = "<input type='hidden' name='user_ids' value='25'>";
                $("#added_package").append(input);
            }
        });

        $(".simpan-broadcast").click(function(){
            // console.log($('input[name=judul]').val());
            // console.log($('input[name=user_penerima]').val());
        });

    });
</script>
<script type="text/javascript">
    jQuery(document).ready(function() {
        jQuery(function () {
            jQuery.getScript('/public/javascripts/chat/searchuser.js');
        });
    });
</script>
#{/set}